Subject: linux-next: manual merge of the net-next tree with the origin tree

From: Mark Brown <[email-masked]>
Date: Tue, 3 Dec 2024 19:57:54 +0000

Hi all,

Today's linux-next merge of the net-next tree got a conflict in:

   drivers/ptp/ptp_dte.c
   drivers/ptp/ptp_ines.c

between commit:

  e70140ba0d2b1 ("Get rid of 'remove_new' relic from platform driver struct")

from the origin tree and commit:

  b32913a5609a3 ("ptp: Switch back to struct platform_driver::remove()")

from the net-next tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

(no diff, used Linus' version)